[OS X TeX] Once again: Xindy

Peter Dyballa Peter_Dyballa at Web.DE
Tue Jan 15 07:46:53 EST 2008

Am 15.01.2008 um 07:47 schrieb Simon Spiegel:

> Once again, I'm having big problems compiling this.

This version of xindy looks much easier to handle than those before ...

The INSTALL file describes how to do it:

	• configure, with useful options, probably only  --disable- 
dependency-tracking (the available options can be found by  
invoking: ./configure --help=recursive). Some environment variables  
could be set here (my defaults, could be different for other PPC or  
non-PPC hardware, or user of MacPorts or users of neither Fink nor  
	    CFLAGS=-pipe -fPIC -mcpu=7450 -mtune=7450 -fast -mpim-altivec - 
ftree-vectorize -foptimize-register-move -freorder-blocks -freorder- 
blocks-and-partition -fthread-jumps -fpeephole -fno-crossjumping
	    CPPFLAGS=-no-cpp-precomp -I/usr/include/openssl -I/sw/include/ 
pango-1.0 -I/sw/lib/fontconfig2/include -I/usr/local/include -I/sw/ 
	    CXXFLAGS=-no-cpp-precomp -I/usr/include/openssl -I/sw/include/ 
pango-1.0 -I/sw/lib/fontconfig2/include -I/usr/local/include -I/sw/ 
	    LDFLAGS=-dead_strip -bind_at_load -multiply_defined suppress -L/ 
sw/lib/freetype219/lib -L/sw/lib/fontconfig2/lib -L/sw/lib/ncurses -L/ 
sw/lib -L/usr/local/lib
	• make the software: M-x compile RET RET in GNU Emacs, assuming the  
compile command is make -k
	• check was been compiled: M-x compile RET check RET, and, when I  
remember right, leave home for long walk, buy what you thought you  
could also buy tomorrow or on the crowded weekend; don't come home  
too early!
	• install the software: M-x compile RET <up> C-a sudo SPC C-e  
install RET and enter your password in echo-area (minibuffer)

It can be a bit more complicated when you think of re-using a  
formerly installed clisp package.

Nevertheless: first compilation failed for me:

	configure: loading cache ../config.cache
	configure: error: `CPPFLAGS' has changed since the previous run:
	configure:   former value:  -no-cpp-precomp -I/usr/include/openssl - 
I/sw/include/pango-1.0 -I/sw/lib/fontconfig2/include -I/usr/local/ 
include -I/sw/include
	configure:   current value: -no-cpp-precomp -I/usr/include/openssl - 
I/sw/include/pango-1.0 -I/sw/lib/fontconfig2/include -I/usr/local/ 
include -I/sw/include
	configure: error: changes in the environment can compromise the build
	configure: error: run `make distclean' and/or `rm ../config.cache'  
and start over
	make[2]: *** [i18n] Error 1

Obviously a bug in the many configure scripts I'll report.

Mit friedvollen Grüßen


They're putting dimes in the hole in my head to see the change in me.

More information about the MacOSX-TeX mailing list